org.apache.ignite.mxbean

## Interface IgniteClusterMXBean

All Known Implementing Classes:
  IgniteClusterMXBeanImpl

    @MXBeanDescription(value="MBean that provides access to information about cluster ID and tag.")
    public interface IgniteClusterMXBean

MX Bean allows to access information about cluster ID and tag and change tag.

### Method Summary

All Methods Instance Methods Abstract Methods
`UUID` `getId()` Gets cluster ID.
`String` `getTag()` Gets current cluster tag.
`void` `tag(String newTag)` Changes cluster tag to provided value.

### Method Detail

#### getId

    @MXBeanDescription(value="Unique identifier of the cluster.")
    UUID getId()

Gets cluster ID.

Returns:
  Cluster ID.

#### getTag

    @MXBeanDescription(value="User-defined cluster tag.")
    String getTag()

Gets current cluster tag.

Returns:
  Current cluster tag.

#### tag

    @MXBeanDescription(value="Set new cluster tag value.")
     @MXBeanParametersNames(value="newTag")
     @MXBeanParametersDescriptions(value="New tag value to be set.")
    void tag(String newTag)
                                                                                                                                                                      throws JMException

Changes cluster tag to provided value.

Parameters:
  `newTag` - New value to be set as cluster tag.
Throws:
  `JMException` - If provided value failed validation or concurrent change tag operation succeeded.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020